textures/common/botclip
{
qer_trans 0.40
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm noimpact
surfaceparm botclip
}

textures/waterzone2/fire3
{
	qer_editorimage textures/scavenger/flame_red1.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	{
		animMap 10 textures/scavenger/flame_red1.tga textures/scavenger/flame_red2.tga textures/scavenger/flame_red3.tga textures/scavenger/flame_red4.tga textures/scavenger/flame_red5.tga textures/scavenger/flame_red6.tga textures/scavenger/flame_red7.tga textures/scavenger/flame_red8.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
}



textures/waterzone2/fire4
{
	qer_editorimage textures/scavenger/flame_blue1.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	{
		animMap 10 textures/scavenger/flame_blue1.tga textures/scavenger/flame_blue2.tga textures/scavenger/flame_blue3.tga textures/scavenger/flame_blue4.tga textures/scavenger/flame_blue5.tga textures/scavenger/flame_blue6.tga textures/scavenger/flame_blue7.tga textures/scavenger/flame_blue8.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
}


textures/waterzone2/redflag
{
    qer_editorimage textures/waterzone2/StarFleet_red.tga
    cull disable
    deformVertexes wave 32 sin 0 3 0 0.75
    tessSize 32
    {
        map textures/waterzone2/StarFleet_red.tga
        alphafunc GE128
	blendFunc GL_ONE GL_ZERO
	depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
	depthfunc equal
        rgbGen identity
    }
}

textures/waterzone2/blueflag
{
    qer_editorimage textures/waterzone2/StarFleet_blue.tga
    cull disable
    deformVertexes wave 32 sin 0 3 0 0.75
    tessSize 32
    {
        map textures/waterzone2/StarFleet_blue.tga
        alphafunc GE128
	blendFunc GL_ONE GL_ZERO
	depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
	depthfunc equal
        rgbGen identity
    }
}

textures/waterzone2/wzsky
{
    qer_editorimage textures/common/sky.tga
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sunExt 1 1 1 100 330 75 1 16
    q3map_skyLight 75 3
    skyParms textures/waterzone2/sky/wz2 512 -
}

textures/waterzone2/water
{
    qer_editorimage textures/waterzone2/water1f.tga
    qer_trans 0.25
    cull disable
    surfaceparm water
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nomarks
    deformVertexes wave 128 sin 0 2 0 0.75
    {
        map textures/waterzone2/water1f.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.05 -0.03
    }
    {
        map textures/waterzone2/water1f.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.045 0.05
    }
    {
        map $lightmap
	tcMod turb 0.0003 0.001 0.001 1
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wz2/fog_water
{
    qer_editorimage textures/borg/fog.tga
    surfaceparm   nonsolid
   surfaceparm   fog
   surfaceparm   trans
   q3map_nolightmap
    fogparms ( 0.2 0.6 0.4 ) 256
    cull disable
}

textures/wz2/fog_water_caulk
{
    qer_editorimage textures/borg/fog.tga
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nodraw
}

textures/wz2/nofogger
{
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nodraw
    surfaceparm nonsolid
    q3map_nofog
}

textures/wz2/terrain_base
{
   nopicmips
   q3map_lightmapaxis z
   q3map_lightmapmergable
   q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}

textures/wz2/terrain_0
{
	q3map_baseshader textures/wz2/terrain_base
	{
		map textures/waterzone2/sand_1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/wz2/terrain_1
{
	q3map_baseshader textures/wz2/terrain_base
	{
		map textures/waterzone2/rock_1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/wz2/terrain_2
{
	q3map_baseshader textures/wz2/terrain_base
	{
		map textures/waterzone2/stones_1.tga
		tcmod scale 3 3
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/wz2/terrain_0to1
{
	q3map_baseshader textures/wz2/terrain_base
	{
		map textures/waterzone2/sand_1.tga
	}
	{
		map textures/waterzone2/rock_1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/wz2/terrain_0to2
{
	q3map_baseshader textures/wz2/terrain_base
	{
		map textures/waterzone2/sand_1.tga
	}
	{
		map textures/waterzone2/stones_1.tga
		tcmod scale 3 3
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/wz2/terrain_1to2
{
	q3map_baseshader textures/wz2/terrain_base
	{
		map textures/waterzone2/rock_1.tga
	}
	{
		map textures/waterzone2/stones_1.tga
		tcmod scale 3 3
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/wz2/terrain.vertex
{
	{
		map textures/waterzone2/rock_1.tga
		rgbGen vertex
	}
}